PIO_LE_READ16S(3)

EXPERIMENTAL_FUNC
pio_le_read16s - Read a 16 bit little-endian signed integer from a channel object.

SYNOPSIS
#include <karma_pio.h>

flag pio_le_read16s

(Channel channel, long *data)

DESCRIPTION
Read a 16 bit little-endian signed integer from a channel object.

channel
    The channel object.

data
    The data will be written here. This will be in host natural byte order. The data will be converted from little-endian byte order after reading.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/